Subject: Unable to find entry point _mainCRTStartup function while linking
From: [email-masked] ("Vassan, S. S.")

4 Apr 1997 16:24:23 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=US%a=_%p=DNB%l=DNB/DNBHQ/[email-masked]>
Original-To: "'GNU Support'" <[email-masked]>
Original-Cc: Laurie Babernitsh <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.994.24
Encoding: 38 TEXT
Original-Sender: [email-masked]

Dear Support:
I recently downloaded Beta17.1(latest) of GNU-win32  from the net.
I downloaded only the binaries and development tools( DIDNT get the
source
or recompile/relink the executables). This was installed in Windows NT
4.0.

When I tried to link a program it says
"Unable to find the main entrypoint _mainCRTStartup assuming the main
entry point at..."
I scanned all the directories and found
"\cygnus\h-i386-cygwin32\i386-cygwin32\lib\ldscripts\i386pe.* "
which have this entry point defined in this.
How to include this..? what am I supposed to do with this...

I feel the binary versions in the net are not properly configured for
Windows NT,
we may have to get the source file and start from beginning the three
steps
Configuration, compilation and installation... I dont have enough free
disk for
that..
Is there any solution for this...?
Additionally this version of linker is not able to recognise  .LIB files
...
I have the MicroSoft  ODBC library with me .."ODBC32.LIB" which I tried
to link using the option "-lodbc32". It came out with the message
"ld.exe: Unable to open -lodbc32" always..
I tried all permutations and combinations and was not successfull..
Ultimately, I used "dlltool" to export all the functions from the DLL
and create
libodbc32.a -unix like library..

But still I couldnt create ".EXE" due to the first error...
Can anybody give me a solution for these ....

Thanx,
Vassan
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".